haddock

Portability | portable
Stability | experimental
Maintainer | haddock@projects.haskell.org
Safe Haskell | Safe-Infered

Haddock.Backends.Xhtml

Description

# Documentation

ppHtml

Arguments

:: String |
-> Maybe String | Package
-> [Interface] |
-> FilePath | Destination directory
-> Maybe (Doc RdrName) | Prologue text, maybe
-> Themes | Themes
-> SourceURLs | The source URL (--source)
-> WikiURLs | The wiki URL (--wiki)
-> Maybe String | The contents URL (--use-contents)
-> Maybe String | The index URL (--use-index)
-> Bool | Whether to use unicode in output (--use-unicode)
-> Qualification | How to qualify names
-> Bool | Output pretty html (newlines and indenting)
-> IO () |

copyHtmlBits :: FilePath -> FilePath -> Themes -> IO ()

ppHtmlIndex :: FilePath -> String -> Maybe String -> Themes -> Maybe String -> SourceURLs -> WikiURLs -> [InstalledInterface] -> Bool -> IO ()

ppHtmlContents

Arguments

:: FilePath |
-> String |
-> Maybe String |
-> Themes |
-> Maybe String |
-> SourceURLs |
-> WikiURLs |
-> [InstalledInterface] |
-> Bool |
-> Maybe (Doc RdrName) |
-> Bool |
-> Qualification | How to qualify names
-> IO () |